#!/usr/bin/env python3

import logging
import sqlite3
import sys


logger = logging.getLogger()
logger.setLevel(logging.DEBUG)
formatter = logging.Formatter("%(asctime)s :: %(levelname)s :: %(message)s")

stream_handler = logging.StreamHandler()
stream_handler.setLevel(logging.DEBUG)
logger.addHandler(stream_handler)

db = sqlite3.connect("/var/lib/rundeck/var/softwareupdater.db")
db.row_factory = sqlite3.Row
cursor = db.cursor()

name = sys.argv[1]
version = sys.argv[2]
hasversion = sys.argv[3]
github_repo = sys.argv[4]
gitcommit = sys.argv[5]
playbook = sys.argv[6]
url = sys.argv[7]
checkchar = sys.argv[8]
statusio_id = sys.argv[9]
incident_id = sys.argv[10]
zbx_host_id = sys.argv[11]
zbx_maintenance_id = sys.argv[12]
dbtype = sys.argv[13]
dbname = sys.argv[14]
dbhost = sys.argv[15]

cursor.execute(
    "INSERT INTO software VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)",
    (name, version, hasversion, github_repo, gitcommit, playbook, dbtype, dbname, dbhost, url, checkchar, statusio_id, incident_id, zbx_host_id, zbx_maintenance_id),
)
db.commit()